# nps-jaleko

# Utilização dos componentes do projeto "nps" #

* Neste repositório iremos encontrar a implementação e como utilizar o componente do NPS.

* Foi utilizado como base de criação do projeto, o seguinte tutorial -> [Link](https://medium.com/@royprins/publish-a-vuejs-component-on-npm-its-not-scary-5c5103fd0dfa)

* O projeto já possui CD para a branch master. Sempre que é feito o deploy, ele automaticamente publica a nova versão no NPM ( Não esquecer de sempre alterar a versão do projeto no package.json 0.0.1 -> 0.0.2). 

## Quais parametros esperar ##
* name - Nome do usuário que irá aparecer no modal de nps

*  baseUrlToAnwserNps - Url base (api) que irá fazer as requisições de nps. Ex: https://test.api.jaleko.com.br/api/

*  baseUrlInitializedNps - Url base do ambiente que o usuário está Ex:jaleko.com.br/home, para que não abra mais a modal de nps nesse ambiente.

*  token - Token de acesso do usuário que irá responder o modal de nps


### Utilização em projetos com vue-cli (ex: Projeto_b2b)###

* Instalar a lib com o comando 

```
#!

npm i nps-jaleko
```

* Importar a lib e o css, e definir o componente em 


```
#!

import Nps from 'nps-jaleko'
import 'nps-jaleko/dist/npsJaleko.css'

export default {
  components: { Nps }
}
```

* Exemplo de utilização


```
#!

<nps name='Leonardo Perazzini' baseUrlToAnwserNps='http://127.0.0.1:8001/api/' baseUrlInitializedNps='httpp://127.0.0.1:8000' token='eyJ0eX'/>
```



### Utilização em projetos sem vue-cli ###

* Exemplo de utilização


```
<link rel="stylesheet" href="https://unpkg.com/nps-jaleko@latest/dist/npsJaleko.css">

<div id="jaleko-nps">
    <nps name='Leonardo Perazzini' base-url-to-anwser-nps='http://127.0.0.1:8001/api/' base-url-initialized-nps='httpp://127.0.0.1:8000' token='eyJ0eX'/>
</div>

<script src="https://unpkg.com/vue"></script>

<script src="https://unpkg.com/nps-jaleko@latest"></script>

<script>
    new Vue({
        components: {
        npsJaleko
        }
    }).$mount('#jaleko-nps')

</script>

```